<?php

use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'print-suppliers/print-logistic'], function () {

    Route::post('/webhook', ['uses' => 'PrintLogisticController@webhook']);
    Route::get('/product-type', ['uses' => 'PrintLogisticController@getProductTypes']);
    Route::get('/product-sku', ['uses' => 'PrintLogisticController@getProductSkus']);
    Route::any('/api', ['uses' => 'PrintLogisticController@internalCallApi']);

    Route::any('/send-to-production', ['uses' => 'PrintLogisticController@submitProduction']);

    Route::any('/cronjob/get-order-status', ['uses' => 'PrintLogisticController@cronJobGetOrderStatus']);
    Route::any('/auto-fulfill', ['uses' => 'PrintLogisticController@autoFulfill']);

    // Route::any('/cronjob/update-jobs', ['uses' => 'PrintLogisticController@updateJobStatus']);

});
